/*
 * Copyright  2005 Sun Microsystems Inc. All rights reserved. Use is subject to license terms.
 *  
 */

package com.sunlabs.archsim.fleet.ships.memory;

import com.sunlabs.archsim.base.simulation.Delay;

public class MemoryDefaults {

	// never instantiate an instance of this class
	private MemoryDefaults() {}
	
	public static final String READ_ADDRESS= "ReadAddress";
	public static final String ACK_READ_ADDRESS= "ackReadAddress";	
	
	public static final String READ_DATA= "ReadData";
	public static final String ACK_READ_DATA= "ackReadData";	
	
	public static final String WRITE_DATA= "WriteData";
	public static final String ACK_WRITE_DATA= "ackWriteData";
	
	public static final String WRITE_ADDRESS= "WriteAddress";
	public static final String ACK_WRITE_ADDRESS= "ackWriteAddress";
	
	public static final String WRITE_NEXT= "WriteNext";
	public static final String ACK_WRITE_NEXT= "ackWriteNext";
	
	public static final String READ_DELAY= "readDelay";
	public static final String WRITE_DELAY= "writeDelay";
	public static final String ACK_DELAY= "ackDelay";
	public static final String ACK_READ_DELAY= "ackReadDelay";
	public static final String ACK_WRITE_DELAY= "ackWriteDelay";
	
	public static final String SIMPLE_READ_DELAY= "simpleMemoryReadDelay";
	public static final Delay SIMPLE_READ_DELAY_DEF= new Delay(20);

	public static final String SIMPLE_WRITE_DELAY= "simpleMemoryWriteDelay";
	public static final Delay SIMPLE_WRITE_DELAY_DEF= new Delay(20);
	
	public static final String SIMPLE_ACK_DELAY= "simpleMemoryAckDelay";
	public static final Delay SIMPLE_ACK_DELAY_DEF= new Delay(0);
	
	
	public static final String MEMORY_SIZE= "size";	
	public static final int MEMORY_SIZE_DEF= 1048576; // 1 M word	
	
} // class MemoryDefaults
